## ros-melodic-rospy 1.14.13

=== debian/changelog ===
ros-melodic-rospy (1.14.13-1bionic) bionic; urgency=high

  * Add current_real docstring in timer.py (#2178 <https://github.com/ros/ros_comm/issues/2178>)
  * Do not set self.transport unless persistent in ServiceProxy (#2171 <https://github.com/ros/ros_comm/issues/2171>)
  * Fix #2123 <https://github.com/ros/ros_comm/issues/2123>:  Do not raise exception if socket is busy in TCPROSTransport (#2131 <https://github.com/ros/ros_comm/issues/2131>)
  * Contributors: Jacob Perron, Kevin Chang, Shingo Kitagawa, 金梦磊

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-melodic-rospy (1.14.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 07:00:00 -0000

ros-melodic-rospy (1.14.11-1bionic) bionic; urgency=high

  * Fix "TypeError: not enough arguments for format string" (#2127 <https://github.com/ros/ros_comm/issues/2127>)
  * Fix AttributeError isAlive (#2092 <https://github.com/ros/ros_comm/issues/2092>)
  * Contributors: Brutus The Tschiepel, 金梦磊

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-melodic-rospy (1.14.10-1bionic) bionic; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Fix log*_throttle with sim time (#2044 <https://github.com/ros/ros_comm/issues/2044>)
  * Fix issue with rospy.set_param('') (#2024 <https://github.com/ros/ros_comm/issues/2024>)
  * Update local parameter cache on set_param (#2021 <https://github.com/ros/ros_comm/issues/2021>)
  * Contributors: Jacob Perron, Markus Grimm, Shane Loretz, larslue, salihmarangoz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rospy (1.14.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rospy (1.14.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rospy (1.14.7-1bionic) bionic; urgency=high

  * remove not existing NodeProxy from rospy __all__ (#2007 <https://github.com/ros/ros_comm/issues/2007>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rospy (1.14.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rospy (1.14.5-1bionic) bionic; urgency=high

  * add exception for ConnectionAbortedError (#1908 <https://github.com/ros/ros_comm/issues/1908>)
  * fix mac trying to use epoll instead of kqueue (#1907 <https://github.com/ros/ros_comm/issues/1907>)
  * fix AttributeError: __exit__ (#1915 <https://github.com/ros/ros_comm/issues/1915>)
  * fix dictionary changed size during iteration (#1894 <https://github.com/ros/ros_comm/issues/1894>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rospy (1.14.4-1bionic) bionic; urgency=high

  * add default ROS_MASTER_URI (#1666 <https://github.com/ros/ros_comm/issues/1666>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * reuse xmlrpc connections everywhere (#1471 <https://github.com/ros/ros_comm/issues/1471>)
  * use cached parameter for rosout_disable_topics_generation (#1881 <https://github.com/ros/ros_comm/issues/1881>)
  * add args and kwargs to rospy.log* (#1289 <https://github.com/ros/ros_comm/issues/1289>)
  * add kwargs to internal logging functions (#1290 <https://github.com/ros/ros_comm/issues/1290>)
  * add get_param_cached (#1515 <https://github.com/ros/ros_comm/issues/1515>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * fix line endings to be LF (#1794 <https://github.com/ros/ros_comm/issues/1794>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * fix dynamic windowing for Topic Statistics (#1695 <https://github.com/ros/ros_comm/issues/1695>)
  * do not raise socket exception during shutdown (#1720 <https://github.com/ros/ros_comm/issues/1720>)
  * add possibility to pass rospy.Duration as timeout to wait_for_service and wait_for_message (#1703 <https://github.com/ros/ros_comm/issues/1703>)
  * add is_legal_remap() to rosgraph to make remap-detection more precise (#1683 <https://github.com/ros/ros_comm/issues/1683>)
  * add missing comma in the list of strings (#1760 <https://github.com/ros/ros_comm/issues/1760>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * fix error handling for Topic constructor (#1701 <https://github.com/ros/ros_comm/issues/1701>)
  * make sigterm handling Python 3 compatible (#1559 <https://github.com/ros/ros_comm/issues/1559>)
  * update wiki.ros.org URLs (#1536 <https://github.com/ros/ros_comm/issues/1536>)
  * show connection info on rosnode info (#1497 <https://github.com/ros/ros_comm/issues/1497>)
  * import socket, threading in udpros.py (#1494 <https://github.com/ros/ros_comm/issues/1494>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rospy (1.14.3-1bionic) bionic; urgency=high

  * maintain exception info in RosOutHandler (#1442 <https://github.com/ros/ros_comm/issues/1442>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rospy (1.14.2-1bionic) bionic; urgency=high

  * fix some errors in some probably not frequented code paths (#1415 <https://github.com/ros/ros_comm/issues/1415>)
  * fix thread problem with get_topics() (#1416 <https://github.com/ros/ros_comm/issues/1416>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rospy (1.14.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rospy (1.14.0-1bionic) bionic; urgency=high


