=== debian/control ===
Source: ros-melodic-rospy
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.78)
Homepage: http://wiki.ros.org/rospy
Standards-Version: 3.9.2

Package: ros-melodic-rospy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, python-rospkg, python-yaml, ros-melodic-genpy, ros-melodic-roscpp, ros-melodic-rosgraph, ros-melodic-rosgraph-msgs (>= 1.10.3), ros-melodic-roslib, ros-melodic-std-msgs
Description: rospy is a pure Python client library for ROS.
 The rospy client API enables Python programmers to quickly interface with ROS Topics, Services, and Parameters. The design of rospy favors implementation speed (i.e. developer time) over runtime performance so that algorithms can be quickly prototyped and tested within ROS. It is also ideal for non-critical-path code, such as configuration and initialization code. Many of the ROS tools are written in rospy to take advantage of the type introspection capabilities. Many of the ROS tools, such as rostopic and rosservice, are built on top of rospy.
